## org.eclipse.m2m.atl.adt.ui.outline
Class DefaultSorter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerComparator
          org.eclipse.jface.viewers.ViewerSorter
              org.eclipse.m2m.atl.adt.ui.outline.DefaultSorter

    public class DefaultSorter

extends org.eclipse.jface.viewers.ViewerSorter

Field Summary

Fields inherited from class org.eclipse.jface.viewers.ViewerSorter
`collator`

Constructor Summary
`DefaultSorter()`

Method Summary
`int` `category(java.lang.Object element)`
`void` `setHelp(AtlNbCharFile help)`

Methods inherited from class org.eclipse.jface.viewers.ViewerSorter
`getCollator`

Methods inherited from class org.eclipse.jface.viewers.ViewerComparator
`compare, getComparator, isSorterProperty, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSorter

    public DefaultSorter()

Method Detail

### category

    public int category(java.lang.Object element)

  Overrides:
    `category` in class `org.eclipse.jface.viewers.ViewerComparator`
  See Also:
    `ViewerComparator.category(java.lang.Object)`

### setHelp

    public void setHelp(AtlNbCharFile help)

Copyright 2007 IBM Corporation and others. All Rights Reserved.